from ..utils import fixed_shape_resizer

common_config = {
    'meta_arch_default_args': {
        'batch_size': 32,
        'image_resizer': fixed_shape_resizer(224, 224),
    },
    'backbones_args': {
        'lenet': {'initial_learning_rate': 0.01, 'image_resizer': fixed_shape_resizer(28, 28)},
        'alexnet': {'initial_learning_rate': 0.01},
        'overfeat': {'initial_learning_rate': 0.01, 'image_resizer': fixed_shape_resizer(231, 231)},
        'vgg_a': {'initial_learning_rate': 0.01},
        'vgg_16': {'initial_learning_rate': 0.005},
        'vgg_19': {'initial_learning_rate': 0.0025},
        'inception_v1': {'initial_learning_rate': 0.01},
        'inception_v2': {'initial_learning_rate': 0.0025},
        'inception_v3': {'initial_learning_rate': 0.005, 'image_resizer': fixed_shape_resizer(299, 299)},
        'inception_v4': {'initial_learning_rate': 0.005, 'image_resizer': fixed_shape_resizer(299, 299)},
        'inception_resnet_v2': {'initial_learning_rate': 0.005, 'image_resizer': fixed_shape_resizer(299, 299)},
        'resnet_50_v1': {'initial_learning_rate': 0.01},
        'resnet_101_v1': {'initial_learning_rate': 0.01},
        'resnet_152_v1': {'initial_learning_rate': 0.01},
        'resnet_200_v1': {'initial_learning_rate': 0.01},
        'resnet_50_v2': {'initial_learning_rate': 0.025},
        'resnet_101_v2': {'initial_learning_rate': 0.01},
        'resnet_152_v2': {'initial_learning_rate': 0.0025},
        'resnet_200_v2': {'initial_learning_rate': 0.01},
        'mobilenet_v1': {'initial_learning_rate': 0.01},
        'mobilenet_v1_075': {'initial_learning_rate': 0.01},
        'mobilenet_v1_050': {'initial_learning_rate': 0.01},
        'mobilenet_v1_025': {'initial_learning_rate': 0.01},
        'mobilenet_v2': {'initial_learning_rate': 0.01},
        'mobilenet_v2_140': {'initial_learning_rate': 0.01},
        'nasnet_mobile': {'initial_learning_rate': 0.01},
        'nasnet_large': {'initial_learning_rate': 0.01, 'image_resizer': fixed_shape_resizer(331, 331)},
        'pnasnet_large': {'initial_learning_rate': 0.01, 'image_resizer': fixed_shape_resizer(331, 331)},
        'pnasnet_mobile': {'initial_learning_rate': 0.01},
    },
    'pretrained_weights': {
        'natural_rgb': {  # Use 'None' to refer to the default back-bone weights
            'vgg_16': None,
            'vgg_19': None,
            'inception_v1': None,
            'inception_v2': None,
            'inception_v3': None,
            'inception_v4': None,
            'inception_resnet_v2': None,
            'resnet_50_v1': None,
            'resnet_101_v1': None,
            'resnet_152_v1': None,
            'resnet_50_v2': None,
            'resnet_101_v2': None,
            'resnet_152_v2': None,
            'mobilenet_v1': None,
            'mobilenet_v1_050': None,
            'mobilenet_v1_025': None,
            'mobilenet_v2': None,
            'mobilenet_v2_140': None,
            'nasnet_mobile': None,
            'nasnet_large': None,
            'pnasnet_large': None,
            'pnasnet_mobile': None,
        }
    }
}
